Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class Phonon.ErrorType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.Phonon.ErrorType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  Phonon

    public static final class Phonon.ErrorType

extends java.lang.Enum
implements QtEnumerator

This enum type describes the context in which the error occurred, e.g., a connection error, a statement error, etc.

See Also:
  Serialized Form

Field Summary
`static Phonon.ErrorType` | `FatalError`
`static Phonon.ErrorType` | `NoError` No error occurred.
`static Phonon.ErrorType` | `NormalError`

Method Summary
`static Phonon.ErrorType` | `resolve(int value)` Returns the ErrorType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Phonon.ErrorType` | `valueOf(java.lang.String name)`
`static Phonon.ErrorType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final Phonon.ErrorType NoError

  No error occurred.

### NormalError

    public static final Phonon.ErrorType NormalError

### FatalError

    public static final Phonon.ErrorType FatalError

Method Detail

### values

    public static Phonon.ErrorType[] values()

### valueOf

    public static Phonon.ErrorType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Phonon.ErrorType resolve(int value)

  Returns the ErrorType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD